/* Standard_Tags */

body { 
    margin: 0rem; 
    width: 100%;
    padding: 0rem;
    height: 100%;
    font-family: 'Georgia', serif;
    background-color: rgb(162,172,171);
}

h1{
    padding-bottom: 0.9rem;
}

h2{
    padding-bottom: 0.6rem;
}

h3{
    padding-bottom: 0.4rem;
}

h4{
    padding-bottom: 0.4rem;
}

p{
    font-size: medium;
}

li{
    font-size: medium;
}

a:hover{
    color: rgb(140,226,208);
}

a{
    color: black;
    text-decoration: none;
    /* display: flex; */
    flex-wrap: wrap;
}


/* ######################################################################################### */
/* standard on all page */
.logo{
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: white;
}

.logo img{
    width: 220px;
    height: 150px;
}

.banner{
    width: 100%;
    height: 20rem;
    background-size: cover;
    background-position: center;
}

.d-flex{
    background-color: rgb(162,172,171);
}

.topnav {
    display: flex;
    flex-wrap: wrap;
    background-color: white;
    width: 100%;
    font-size: larger;
    justify-content: space-evenly;
}

.navlinks{
    padding-inline: 1rem;
}

.hyperlink{
    color: blue;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    font-size: large;
}

.hyperlink:hover{
    color: blue;
}


/* ######################################################################################### */
/* Home page */
.containerHome{
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    text-align: center;
    background-color: rgb(162,172,171);
}

.itemCard{
    max-width: 400px;
    padding: 10px;
    margin: 5px;
    font-size: x-large;
    background-color: rgb(140,226,208);

    border: 5px solid rgb(145, 157, 157);
    border-radius: 4px;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.3);
    
}

.contactP{
    font-size: x-large;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    font-weight: bold;
}

.contactP2{
    font-size: large;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}

.hourContainer{
    display: flex;
    grid-template-columns: 1fr 1fr;
    grid-gap:10px
}

#map{
    height: 400px;
}


/* ######################################################################################### */
/* About page */

.containerColumnAbout{
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    flex-direction: column;
    align-items: center;
    background-color: rgb(140,226,208);

    padding-top: 0.2rem;
    margin-top: 3rem;
    margin-left: 3rem;
    margin-right: 3rem;
    margin-bottom: 5rem;
    border: 5px solid rgb(145, 157, 157);
    border-radius: 4px;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.3);
}

.containerColumnAbout p{
    font-size: 110%;
}


/* ######################################################################################### */
/* Patient Guide & Faciliteis&Services */

.container{
    display: flex;
    justify-content: space-evenly;
    flex-wrap: wrap;
    align-content: center;
}

.imageContainer{
    position: relative;
    display: inline-flexbox;
}

.imageContainer section{
    width: 300px;
    height: 280px;
    padding: 1rem;
    background-color: rgb(140,226,208);
    margin: 0.5rem;

    border: 5px solid rgb(145, 157, 157);
    border-radius: 4px;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.3);
}

.imageContainer:hover img{
    opacity: 0.3;
}

.imageContainer:hover .textOverlay{
    color: white;
    top:50%;
}

.imageContainer h2{
    color: white;
}

.imageContainer a{
    color: white;
}

.imageContainer:hover .textOverlay p{
    visibility: visible;
}

.imageContainer:hover .textOverlay h4{
    visibility: visible;
}

.imageContainer:hover .textOverlay li{
    visibility: visible;
}

.imageContainer:hover .textOverlay a{
    visibility: visible;
}

.imageContainer img{
    width: 300px;
    height: 280px;
    padding: 1rem;
}

.textOverlay{
    position: absolute;
    top: 50%;
    left:50%;
    transform: translate(-50%,-50%);
    text-align: center;
    color: black;
    width: 80%;
}

.textOverlay h2{
    font-size: 30px;
    margin-bottom: 10px;
}

.textOverlay p{
    visibility: hidden;
}

.textOverlay h4{
    visibility: hidden;
}

.textOverlay li{
    visibility: hidden;
}

.textOverlay a{
    visibility: hidden;
}

.textOverlay a:hover{
    color: blue;
}

.textOverlayMobile{
    position: absolute;
    top: 50%;
    left:50%;
    transform: translate(-50%,-50%);
    text-align: center;
    color: black;
    width: 80%;
}

.textOverlayMobile p{
    visibility: visible;
}

.textOverlayMobile h4{
    visibility: visible;
}

.textOverlayMobile li{
    visibility: visible;
}

.textOverlayMobile a{
    visibility: visible;
    color: blue;
}

.imageContainerMobile{
    position: relative;
    display: inline-flexbox;
    opacity: 0.3;
}

/* ######################################################################################### */
/* Patient guide other pages */

.containerColumnAdditional{
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    flex-direction: column;
    align-items: center;
    background-color: rgb(140,226,208);

    padding-top: 0.2rem;
    margin-top: 2rem;
    margin-left: 2rem;
    margin-right: 2rem;
    margin-bottom: 5rem;
    border: 5px solid rgb(145, 157, 157);
    border-radius: 4px;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.3);
}

.containerColumnAdditional h1{
    margin-bottom: 0.5rem;
}

.containerColumnAdditional p{
    font-size: 140%;
    margin: 1.1rem;
}

.containerColumnAdditional ul{
    font-size: 200%;
    margin: 1.5rem;
}

.containerColumnAdditional li{
    font-size: 75%;
    margin-top: 0.75rem;
}


/* ######################################################################################### */
/* Fees */

.containerColumnFees{
    display: flex;
    justify-content: space-evenly;
    flex-wrap: wrap;
    flex-direction: column;
    background-color: rgb(140,226,208);
    margin: 0;
    padding: 0;
}

.sideNav{
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    width: 300px;
    height: auto; 
    background-color: rgb(140,226,208);
    float: left; 
    
    border: 5px solid rgb(145, 157, 157);
    border-radius: 4px;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.3);
    padding-right: 2rem;
    max-height: 400px;
}

.sideNav ul{
    margin-top: 0;
}

.sideNav ul :hover{
    color: blue;
}

.linkClick{
    color: blue;
}

.sideNav h3{
    align-self: center;
    margin-bottom: 0.5rem;
}

.feeSection{
    margin-bottom: 0;
    padding-bottom: 0;
    align-content: center;
    max-height: 295px;
}

.itemFees{
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;

    border: 5px solid rgb(145, 157, 157);
    border-radius: 4px;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.3);

    padding-right: 2rem;
    max-height: auto;
    padding: 0.2rem;
    margin: 5px;
    text-align: center;
    width: auto;
    margin-bottom: 0;
}


/* ################################################################################################################## */
/* What to bring */

.containerRow{
    display: flex;
    justify-content: space-evenly;
    flex-wrap: wrap;
    flex-direction: row;
    align-items: start  ;
    background-color: rgb(140,226,208);
    
}

.containerRow ul{
    max-width: 500px;
    max-height: none;
    min-width: none;
    min-height: none;
    background-color: rgb(162,172,171);
    margin: 2rem;
}

.containerRowWTB{
    display: flex;
    flex-wrap: wrap;
    background-color:  rgb(162,172,171);
    margin-bottom: 2rem;
}



/* ######################################################## */
/* Discharge */

.containerDischarge{
    /* white-space: nowrap; */
    justify-content: center;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    
}
.containerDischarge ul{
    display: flex;
    flex-wrap: wrap;
   font-size: larger;
   font-weight: bold;
   justify-content: center;
}
.containerDischarge p{
    margin: 0.7rem;
    /* padding-top: 5px; */
 }

.dischargeItem{
    display: flex;
    flex-direction: column;
    justify-content: center;
    flex-wrap: wrap;
    /* margin: 5px;
    padding: 10px; */
}

.dischargeItem li{
    display: flex;
    flex-direction: column;
    justify-content: center;
    flex-wrap: wrap;
}

.dischargeP{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.containerColumnDischarge{
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    flex-direction: column;
    background-color: rgb(140,226,208);

    padding-top: 0.2rem;
    border: 5px solid rgb(145, 157, 157);
    border-radius: 4px;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.3);
}

.containerColumnDischarge p{
    font-size: 110%;
}


/* ############################################################## */
/* PDF css */

.pdfContainer{
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.pdfItem{
    flex: 0 0 25%; /* Each item takes 25% of the container width */
    padding: 10px;
    margin: 1rem;
    justify-content: center;
    align-items: center;
    background-color: rgb(140,226,208);

    padding-top: 0.2rem;
    border: 5px solid rgb(145, 157, 157);
    border-radius: 4px;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.3);

    /* scale: 0.7;     */
    
}

.pdfView{
    height: 500px;
    width: 500px;

    /* @media (max-width: 400px) {
        width:250px
    } */
}

/* ############################################################## */

.hideSection{
    visibility: hidden;
    height: -100px;
    width: -100px;
    position: absolute;
}

.item{
    padding: 10px;
    margin: 5px;
    font-size: x-large;
    
}

.item h1{
    background-color: rgb(140,226,208);
    width: 450px;
}


.containerColumn{
    display: flex;
    justify-content: space-evenly;
    flex-wrap: wrap;
    flex-direction: column;
    align-items: center;
    background-color: rgb(140,226,208);
}



.containerColumn h1{
    width: 100vw;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    flex-direction: column;
    align-items: center;
}


.overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    display: none;
    justify-content: center;
    align-items: center;
    z-index: 9999;
}

.menu {
    background-color: #fff;
    padding: 20px;
    border-radius: 5px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.3);
}

.menu ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

.menu ul li {
    margin-bottom: 10px;    
}

.menu ul li a {
    color: #333;
    text-decoration: none;
}

.menu-button {
    padding: 10px 20px;
    background-color: #333;
    color: #fff;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

.menu-button:hover {
    background-color: #555;
}


/* <!-- pantone 332 - 140 226 208 -->
<!-- pantone 442 - 162 172 171-->
<!-- pantone 443 - 145 157 157 --> */


#myElement {
    width: 200px;
    height: 200px;
    background-color: lightblue;
  }
 